CVE-2020-25827

Published: 27 September 2020

An issue was discovered in the OATHAuth extension in MediaWiki before 1.31.10 and 1.32.x through 1.34.x before 1.34.4. For Wikis using OATHAuth on a farm/cluster (such as via CentralAuth), rate limiting of OATH tokens is only done on a single site level. Thus, multiple requests can be made across many wikis/sites concurrently.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
mediawiki
Launchpad, Ubuntu, Debian
Upstream
Released (1:1.35.0-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(1:1.35.0-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1:1.35.0-1)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(1:1.35.0-1)
Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist